Google Apps Supports Modern Browsers Only

I like keeping my systems updated, and generally on any given day, am running a BETA of some software or the other. Right now, I use Chrome 11, Internet Explorer 9 and Firefox 4.0.

As of August 1st, Google will discontinue support for the following browsers and their predecessors: Firefox 3.5, Internet Explorer 7, and Safari 3. In these older browsers you may have trouble using certain features in Gmail, Google Calendar, Google Talk, Google Docs and Google Sites, and eventually theseapps may stop working entirely.

So if it’s been a a while since your last update, we all encourage you to get the latest version of your favorite browser. There are many to choose from:

As the world moves more to the web, these new browsers are more than just a modern convenience, they are a necessity for what the future holds.

And if you happen to be running Internet Explorer 9, check out Disney’s Tron Legacy site. (If you’re not using IE9, you can check out the video here, just to see what you might be missing)

Leave a Reply

Fill in your details below or click an icon to log in: Logo

You are commenting using your account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s